=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre13-0ubuntu24.10.0+3) oracular; urgency=low

  * Automated git build for 7b877f1ed7acdaef4d4a777491fbab814125bd29
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Feb 2026 09:25:47 +0100
