=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre273-0ubuntu20.04.0+32) focal; urgency=low

  * Automated git build for aaea842e5720568ae365e2e0cf9468a4b028793b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
