=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, sharutils,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, sharutils,
  binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man,
  libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
- libattr1-dev, libasound2-dev [!hurd-i386],
- aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcups2-dev | libcupsys2-dev,
+ libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev,
  libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev, libldap2-dev,
  liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
  libopenexr-dev (>= 1.2.2-4.1), libpcre2-dev,
  libsasl2-dev, libxcomposite-dev, libdbus-1-tqt-dev,
  libtiff-dev, libwebp-dev, libavahi-client-dev (>= 0.4), x11-xserver-utils,
  libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
- texinfo, libogg-dev, libtqtinterface-dev,
- lsb-release, sudo, libr-dev,
+ texinfo, libogg-dev, libtqt3-mt-dev,
+ lsb-release, base-files, sudo, libr-dev,
  libudev-dev, libltdl-dev, libmagic-dev, libnm-dev, libpcsclite-dev,
  opensc-pkcs11 | opensc (<< 0.13.0-5), libpkcs11-helper1-dev, libcryptsetup-dev
-Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
+Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
 Standards-Version: 3.8.3
 
 Package: tdelibs-trinity
@@ -28,8 +28,7 @@
 Replaces: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
 Breaks: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
 Provides: tdelibs
-Conflicts: tdelibs
-Depends: ${misc:Depends}, tdelibs14-trinity (>= ${source:Version}) | tdelibs14t64-trinity (>= ${source:Version}),
+Depends: tdelibs14-trinity (>= ${source:Version}) | tdelibs14t64-trinity (>= ${source:Version}),
  tdelibs-data-trinity (>= ${source:Version})
 Description: core libraries from the official Trinity release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
@@ -46,8 +45,8 @@
 Architecture: all
 Replaces: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
 Breaks: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
-Conflicts: tdelibs-data, kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
-Depends: ${misc:Depends}, hicolor-icon-theme
+Conflicts: kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
+Depends: hicolor-icon-theme
 Provides: tdelibs-data
 Description: core shared data for all TDE applications
  This package contains all the architecture independent data files
@@ -62,11 +61,12 @@
 Architecture: any
 Replaces: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
 Breaks: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
-Depends: ${shlibs:Depends}, ${misc:Depends}, tdelibs-data-trinity,
+Depends: ${shlibs:Depends}, tdelibs-data-trinity,
  netpbm (>= 2:10.0-15.1) | tdelibs14-imagetops-trinity,
- libart-2.0-2 (>= 4:14.0.0~), perl, xauth
+ libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
 Recommends: hwdata, xdg-user-dirs, systemd | elogind | consolekit
 Suggests: fam, perl-suid
+Conflicts: tdelibs4-trinity, tdelibs4c2-trinity (>> 4:1.0.0), tdelibs-bin-trinity (<< 4:3.3.3), tdelibs4-trinity-dev (<< 4:3.5.7.dfsg.1-6)
 Description: core libraries and binaries for all TDE applications
  This package contains all the shared libraries and common core binaries
  used by all TDE applications. You need these libraries and binaries to
@@ -81,7 +81,7 @@
 Package: tdelibs14-imagetops-trinity
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Recommends: netpbm
 Conflicts: tdelibs14-trinity (<< 4:14.0.10~), netpbm (>= 2:10.0-15.1)
 Description: core libraries and binaries for all TDE applications
@@ -99,7 +99,7 @@
 Architecture: any
 Replaces: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
 Breaks: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
-Depends: ${misc:Depends}, tdelibs14-trinity (= ${binary:Version}), libart-2.0-dev (>= 4:14.0.0~),
+Depends: tdelibs14-trinity (= ${source:Version}), libart-2.0-dev (>= 4:14.0.0~),
  libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
  libaspell-dev, hspell, libbz2-dev,
  libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev,
@@ -107,9 +107,9 @@
  liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
  libsasl2-dev, libxcomposite-dev,
  libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
- libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqtinterface-dev,
+ libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqt3-mt-dev,
  libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
-Recommends: libcups2-dev | libcupsys2-dev
+Recommends: libcupsys2-dev | libcups2-dev
 Provides: tdelibs-trinity-dev
 Description: development files for the TDE core libraries
  This package contains all the headers and other related files needed
@@ -122,7 +122,6 @@
 Package: tdelibs14-trinity-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
 Replaces: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
 Breaks: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
 Provides: tdelibs-trinity-doc
@@ -139,9 +138,9 @@
 Architecture: any
 Replaces: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
 Breaks: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
-Priority: optional
+Priority: extra
 Conflicts: tdelibs4-trinity-dbg, tdelibs4c2-trinity-dbg, tdelibs4c2a-trinity-dbg
-Depends: ${misc:Depends}, tdelibs14-trinity (= ${binary:Version}), libtqtinterface-dbg, libc6-dbg [amd64]
+Depends: tdelibs14-trinity (= ${source:Version}), libc6-dbg [amd64]
 Description: debugging symbols for tdelibs
  This package contains the debugging symbols associated with tdelibs.
  They will automatically be used by gdb for debugging tdelibs-related
