## tdelibs-trinity 14.2.0~pre274

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre274-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for 884aff988556c5271eb829768b17d27052a08763
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 19 Nov 2025 14:49:53 +0100
