## tdelibs-trinity 14.2.0~pre275

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre275-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for 76cfb598bbcb7d13f4e387d1fd25392e0fa09f54
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 30 Nov 2025 12:35:53 +0100
