## tdelibs-trinity 14.2.0~pre276

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre276-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for fddc7b09ea451055679e497349aaaa03092f4704
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 08 Dec 2025 15:00:35 +0100
