## tdelibs-trinity 14.2.0~pre279

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre279-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for 689daa17b1e94f06aba3b6762d501a794efe92ad
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:11:33 +0100
