## tdelibs-trinity 14.2.0~pre282

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre282-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for e0345f8f9b6742e10b54187f915a784d5fd385bc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:11:47 +0100
