## tdelibs-trinity 14.2.0~pre284

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre284-0ubuntu26.04.0+32~a) resolute; urgency=low

  * Automated git build for e45dc6c626534011f9f7383a5f1c26c35b96cc75
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:12:16 +0100
