## tdelibs-trinity 14.2.0~pre286

=== debian/changelog ===
tdelibs-trinity (4:14.2.0~pre286-0ubuntu26.04.0+35~a) resolute; urgency=low

  * Automated git build for 3a6952a31d14fb53ca8ca409271d2b284c460132
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Feb 2026 02:58:58 +0100
